This page contains the online appendix of "Self-Reported Activities of Android Developers".

It contains 3 files:

1. "data.csv" contains the data describing the set of 8,608 apps from which we randomly sampled the analyzed commits;
2. "github_repo_data.full.csv" contains the final set of 5,000 commits that we analyzed in our empirical study;
3. "TestClassifier.py", a python script that we modified to automatically classify commit messages in multiple pre-defined classes.

We stated with the example provided by **David S. Batista**: [link](http://davidsbatista.net/blog/2017/04/01/document_classification/) and we adapted this script to our purpose.

The script can handle 3 multi-labels classifier techniques:

1. TF-IDF
2. Word2Vec
3. Doc2Vec

The input is divided in multi-fold parts and used to train and test 4 standard classifiers:

1. Naive Bayes
2. SVM linear
3. Logistic Regression
4. Random Forest

To use this script you need python version 2.7 with following Python libraries:

1. pandas
2. numpy
3. gensim
4. sklearn
5. nltk
 
Usage example
To run the script with TF-IDF and Naive Bayes:

`python TestClassifier.py --clf nb --vectors tfidf`

## Acknowledgment
Thanks to **David S. Batista** [link](http://davidsbatista.net/blog/2017/04/01/document_classification/)
